#!/bin/sh

# Turn on KDM autologin.
# Requires: system user with name `altlinux'.

export LC_ALL=POSIX

a= . install2-init-functions

PROG="${PROG:-${0##*/}}"
CONFIG="$destdir/etc/X11/kdm4/kdmrc"

if [ -z "$destdir" ]; then
    echo "$PROG: environment variable \`destidr' doesn't defined."
    exit 0
fi

if ! [ -f "$CONFIG" -a -w "$CONFIG" ]; then
    echo "$PROG: wrong file $CONFIG"
    exit 0
fi

cp "$CONFIG" "$CONFIG.orig"

subst 's/#AutoLoginEnable=.*/AutoLoginEnable=true/' "$CONFIG" 
subst 's/#AutoLoginUser=.*/AutoLoginUser=altlinux/' "$CONFIG"

# Auto restart session X-server crashes:
subst 's/#AutoReLogin=.*/AutoReLogin=true/' "$CONFIG" 
subst 's/#GreetString=.*/GreetString=ALT Linux/' "$CONFIG" 
subst 's/#PreselectUser=.*/PreselectUser=Default/' "$CONFIG" 
subst 's/#DefaultUser=.*/DefaultUser=altlinux/' "$CONFIG" 
    
# XXX: NOT NECESSARY (stanv)   subst 's/#AutoLoginPass=.*/AutoLoginPass=""/' "$KDMRC" 

echo "$PROG: success."
